Bug 379741 - system-config-network 1.4.3 does not retain DNS settings
system-config-network 1.4.3 does not retain DNS settings
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 06:47 EST by MJ
Modified: 2011-01-27 14:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 04:46:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the interface configuration dialog (46.17 KB, image/png)
2007-11-13 08:34 EST, Harald Hoyer
no flags Details
Screenshot of the interface configuration dialog (46.17 KB, image/png)
2007-11-13 08:35 EST, Harald Hoyer
no flags Details

  None (edit)
Description MJ 2007-11-13 06:47:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
When I enter custom Primary and Secondary DNS numbers in the Network Configuration manager, I get a message saying that my changes are saved, but Fedora only retains them for the current session. As soon as I reboot I lose these settings and have to enter them again next time I start Fedora.

Version-Release number of selected component (if applicable):
system-config-network 1.4.3

How reproducible:
Always


Steps to Reproduce:
1.Select "System > Administration > Network".
2.Enter the root Username. The Network Configuration manager opens.
3.Select the DNS tab.
4.Enter a new Primary and Secondary DNS (Hostname = localhost.localdomain).
5.Select "File > Quit". Dialog appears asking if you want to save your changes.
6.Select "Yes". Message appears confirming changes have been saved. Message also prompts User to restart the network and network services or the computer.
7. Shutdown the computer.
8. Reboot the computer.
9. Log into Fedora.
10. Open the Network Configuration manager (described above). DNS entries have been reset to default.




Actual Results:
DNS Records are lost each time computer is shutdown.

Expected Results:
DNS records should have been retained.

Additional info:
Comment 1 Harald Hoyer 2007-11-13 07:12:19 EST
do you have activated DHCP (dynamic IP)?
Comment 2 Harald Hoyer 2007-11-13 07:12:54 EST
or do you use NetworkManager?
Comment 3 MJ 2007-11-13 07:38:14 EST
Yes, the IP address of the computer is dynamic, supplied by my router. I want to
use the dynamic IP but have static DNS records. I had this setup working in
Fedora 7, but can't get it running in Fedora 8.

I am using System > Administration > Network to try and set the DNS. I'm not
sure if that's what you mean by "Network Manager".

I am using the default Fedora Gnome desktop.
Comment 4 Harald Hoyer 2007-11-13 08:34:57 EST
Created attachment 256871 [details]
Screenshot of the interface configuration dialog

_Un_check the checkbox marked in the screenshot.
Comment 5 Harald Hoyer 2007-11-13 08:35:11 EST
Created attachment 256881 [details]
Screenshot of the interface configuration dialog

_Un_check the checkbox marked in the screenshot.
Comment 6 MJ 2007-11-14 04:31:56 EST
That fixed it. Thank you very much for your help!

Can I suggest the addition of a note to "Chapter 9. Managing DNS Settings" of
the Network Administration Tool documentation, to the effect that the DNS
records will not hold until that check box is cleared?
Comment 7 Peter H. Jones 2008-04-05 12:06:22 EDT
I am seeing this bug with
system-config-network-1.4.7-1.fc8
system-config-network-tui-1.4.7-1.fc8

I have installed but deactivated the following:
pdns-recursor-3.1.4-4.fc7,
NetworkManager-0.7.0-0.6.7.svn3235.fc8
NetworkManager-gnome-0.7.0-0.6.7.svn3235.fc8
NetworkManager-glib-0.7.0-0.6.7.svn3235.fc8
i.e they are configured not to start automatically. And the checkbox mentioned
above is unchecked.

This issue arose after I installed pdns-recursor, and could not keep the DNS set
to 127.0.0.1.

I would like to reopen this bug, but I don't see a check to do that with my account.

I don't have the privileges to change the version in the summary, either.

Comment 8 Peter H. Jones 2008-04-07 00:55:12 EDT
After retesting, I have found I can keep the DNS information in /etc/resolv.conf
if I disable NetworkManager and NetworkManagerDaemon (i.e. I stop them in the
Services menu and/or uncheck their automatic start boxes). This is as expected
when this bug report was closed. Of course, this means I am doing without
Network Manager.

In one of NM's files, /usr/share/doc/NetworkManager-0.7.0/ChangeLog, around line
75, I read the following:

 2008-01-04  Dan Williams  <dcbw@redhat.com>
     74 
     75         * src/named-manager/nm-named-manager.c
     76                 - (rewrite_resolv_conf, add_ip4_config_to_named): use
primary IP4Config's
     77                         nameservers if the secondary config doesn't have any
     78                         (gnome.org #346833)
     
In other words, there is code in NM to alter the contents of /etc/resolv.conf,
and I see no way to disable that behaviour, unlike the situations in comment #5
and comment #6. So, my temporary workaround is to keep NM disabled.

In the long term, I would like to see configuration menus that would be less
confusing, and that would allow selective configuration of pdns-recursor in the
system-config-network menu, for example.
Comment 9 MarcH 2011-01-27 14:33:23 EST
In my (Fedora 14) case the checkbox did not seem to have any effect, /sbin/dhclient-script ignores overwrite /etc/resolv.conf systematically. The only way I could make dhclient-script not override the DNS tab is like this:

echo PEERDNS=no >>  /etc/sysconfig/network


Note: I do not even have NetworkManager installed.

Note You need to log in before you can comment on or make changes to this bug.